set more off
clear all



global path ""

cap log close
log using "${path}/log/100_descriptives.log", replace

cap log close logl
log using "${path}/out/100_descriptives.log", name(logl) replace
log off logl

***********************************************************************************
*     100_descriptives.do           START
***********************************************************************************

use "${path}/in\ESS7e01.dta", replace

keep if cntr=="DK"

keep name essround edition cntry idno gndr agea prtvtcdk

***********************************************************************************
* Kn
***********************************************************************************
tab gndr, miss
tab gndr, miss nol

gen     kvind = 1 if gndr==2
replace kvind = 0 if gndr==1

lab def kvind 0 "0.Mand." 1 "1.Kvinde"
lab val kvind kvind

tab gndr kvind, miss

***********************************************************************************
* Alder
***********************************************************************************
gen alder = agea if inrange(agea,0,123)

gen aldgr = alder
recode aldgr 1/30=1 31/40=2 41/50=3 51/60=4 61/70=5 71/123=6
lab def aldgr 1 "19_30_r" 2 "31_40_r" 3 "41_50_r" 4 "51_60_r" 5 "61_70_r" 6 "71_ma_r"
lab val aldgr aldgr

summ agea alder

tab agea aldgr, miss

***********************************************************************************
* Partiblok
***********************************************************************************
tab prtvtcdk, miss
tab prtvtcdk, miss nol

gen parti = prtvtcdk
recode parti 1 4 9=1 2=2 3 5/8=3 else=.

lab def parti 1 "1.Ve.ori" 2 "2.Centru" 3 "3.H.ori"
lab val parti parti

tab prtvtcdk parti, miss

***********************************************************************************
* Chk data
***********************************************************************************
summ

keep if parti!=.

summ

***********************************************************************************
* Gem data
***********************************************************************************
save "${path}/work\100_renset_data.dta", replace

***********************************************************************************
* chi-square-tests
***********************************************************************************
for var kvind aldgr: tabulate X parti, chi2

***********************************************************************************
* Deskriptiv data
***********************************************************************************
log on logl
for var kvind aldgr: tab X parti, miss
for var kvind alder: table parti, miss content(mean X)
table aldgr kvind parti, miss row col scol
table aldgr kvind parti, miss
tab kvind parti, nofreq row
tab aldgr parti, nofreq row
log off logl

*summ parti
*display "`r(N)'"
*gen perc = 100/`r(N)'

***********************************************************************************
*     100_descriptives.do           END
***********************************************************************************
cap log close
