clear all

/*
Data udgøres af European Social Survey, 7. runde 2014.
Datasættet kan hentes fra http://www.europeansocialsurvey.org/data/download.html?r=7
*/

*Sæt sti til folderen hvori datasæt findes
cd 

* Åbn datasæt
use ESS7e01.dta

* Fjern missing
run ESS_miss.do

* Begræns til Danmark
keep if cntry=="DK"

* Omkoder variable
recode uemp12m (1=1) (2=0) (else=0)

recode brncntr (2=0)
recode  edlvddk (0=.) (1 2=0) (3=1) (4 5=2) (6=3) (7 8=4) (9 11=5) (5555=.), gen (udd)

*begræns til arbejdsdygtig alder
keep if agea>17 & agea<66

*fjerner labels
label drop _all

*udfør t-test
ttest stflife, by(uemp12m) unequal

*udfør matchningsanalyse - først for ATE og derefter for ATT
teffects psmatch (stflife) (uemp12m agea gndr udd brncntr fnsdfml), ate
teffects psmatch (stflife) (uemp12m agea gndr udd brncntr fnsdfml), atet

*udfører matchning igen i baggrunden - krav for at kunne udføre følgende tests
qui teffects psmatch (stflife) (uemp12m agea gndr udd brncntr fnsdfml), ate gen (po)

*udfør balancetest
tebalance summarize

*viser overlap
teffects overlap, ptlevel(1) tlevels(1 0)
