** VARIGHEDSANALYSE-KAPITEL-DATA-GENERERINGS-PROCESS **
clear
use http://www.stata-press.com/data/cggm3/hip3
stset time1, id(id) origin(time time0) failure(fracture)

stdescribe

stvary

** Tabel 8.2 **
sts list

sts graph, ci

sts graph, by(protect) ci

sts graph, haz by(protect) ci

** Tabel 8.3 **
stci, by(protect)

** Tabel 8.4 **
stci, by(protect) rmean

gen age60_67 = age<=67
gen age68_74 = age>=68 & age<=74
gen age75_82 = age>74

gen agegroup = age68_74==1
replace agegroup = 2 if age75_82==1

** Testing **

sts test protect, logrank
sts test agegroup, logrank

sts test protect, wilcoxon

* Parametrisk analyse *
stset time1, id(id) origin(time time0) failure(fracture)

** Tabel 8.5 **
streg protect age male, dist(weibull)

** Tabel 8.6 **
streg protect age male, dist(weibull) time

* Semi-parametrisk analyse *
** Tabel 8.7 **
stcox protect age male, nohr

** Tabel 8.8 **
estat phtest, detail

stcurve, hazard at(protect=0)
stcurve, hazard at1(protect=0) at2(protect=1) kernel(gaussian)

foreach type in efron breslow exactm exactp {
quietly stcox protect age male, `type'
quietly scalar ap`type' = _b[protect]
di ap`type'
}

stcox protect age, strata(male)
stcox protect age, shared(male)
stcox protect age male, vce(cluster male)

predict H, basech
gen females = H if male==0
gen males = H if male==1
line females males _t, c(J J) sort

stcox protect age male
predict gamma1, xb
gen gamma2 = gamma1^2
stcox gamma1 gamma2, nohr


stcox protect age male, tvc(protect age) texp(log(_t))

